:root {
    --primary-100:#FFFFFF;
    --primary-200:#e0e0e0;
    --primary-300:#9b9b9b;
    --accent-100:#FF7F00;
    --accent-200:#d2d2d2;
    --text-100:#FFFFFF;
    --text-200:#e0e0e0;
    --bg-100:#3B5998;
    --bg-200:#4f6aab;
    --bg-300:#6d85c9;
      
}

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    height: 100%;
}

body{
    width: 100%;
    height: 100%;
    background:linear-gradient(to top, var(--bg-100) 50% ,var(--bg-300) 50%);
    font-family: 'Poppins', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.navigation{
    height: 65px;
    background-color: var(--primary-100);
    border-radius: 2px;

    display: flex;
    box-shadow: 0 3px 10px 0px rgba(0, 0, 0, 0.432);
}

.ul{ 
    width: 0;
    overflow: hidden;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    list-style: none;
    transition: .5s ;
}
.navigation-active .ul{
    width: 400px;
}
.li{

}
.li__a{
    text-decoration: none;
    color: var(--bg-100);
}
.menu{
    width: 65px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    user-select: none;
    position: relative;
}
.menu::before,.menu::after{
    content:  '';
    width: 30%;
    height: 2px;
    background-color: var(--bg-100);
    position: absolute;
    transition: .5s;
    border-radius: 3px;
}
/* click click */
.menu::before{
    transform: translateY(-4px);
}
.menu::after{
    transform: translateY(4px);
}
.menu-active::after{
    animation: rotateSpanUp .2s forwards  linear ;
    animation-iteration-count: 2;
}
.menu-active::before{
    animation: rotateSpanDown .2s forwards  linear ;
    animation-iteration-count :2;
}

@keyframes rotateSpanUp {
    from{
        transform: rotate(180deg);

    }
    to{
        transform: rotate(45deg);
    }
    
}
@keyframes rotateSpanDown {
    from{
        transform: rotate(-180deg);

    }
    to{
        transform: rotate(-45deg);
    }
    
}

@media(max-width: 700px){
    
    .navigation-active .ul{
        width: 280px;
    }
    
}